Package Details: kdenlive-git 21.07.70.r14543-1

Git Clone URL: https://aur.archlinux.org/kdenlive-git.git (read-only, click to copy)
Package Base: kdenlive-git
Description: A non-linear video editor for Linux using the MLT video framework. KF5 Frameworks (Latest Applications GIT Version)
Upstream URL: http://www.kdenlive.org/
Licenses: GPL
Conflicts: kdenlive
Provides: kdenlive
Submitter: nous
Maintainer: evorster
Last Packager: evorster
Votes: 63
Popularity: 0.001507
First Submitted: 2011-11-28 22:37
Last Updated: 2021-06-25 21:02

Latest Comments

1 2 3 4 5 6 ... Next › Last »

evorster commented on 2021-06-25 20:28

Oooh, they have finally switched over to mlt7! Awesome, I'll update the package.

ruestique commented on 2021-06-25 14:08

-- Performing Test _OFFT_IS_64BIT -- Performing Test _OFFT_IS_64BIT - Success -- Performing Test HAVE_DATE_TIME -- Performing Test HAVE_DATE_TIME - Success CMake Warning (dev) at /usr/share/ECM/modules/ECMFindModuleHelpers.cmake:112 (message): Your project should require at least CMake 3.16.0 to use FindKF5.cmake Call Stack (most recent call first): /usr/share/ECM/find-modules/FindKF5.cmake:30 (ecm_find_package_version_check) CMakeLists.txt:50 (find_package) This warning is for project developers. Use -Wno-dev to suppress it.

-- Found KF5Archive: /usr/lib64/cmake/KF5Archive/KF5ArchiveConfig.cmake (found version "5.83.0") -- Found KF5Bookmarks: /usr/lib64/cmake/KF5Bookmarks/KF5BookmarksConfig.cmake (found version "5.83.0") -- Found KF5CoreAddons: /usr/lib64/cmake/KF5CoreAddons/KF5CoreAddonsConfig.cmake (found version "5.83.0") -- Found KF5Config: /usr/lib64/cmake/KF5Config/KF5ConfigConfig.cmake (found version "5.83.0") -- Found KF5ConfigWidgets: /usr/lib64/cmake/KF5ConfigWidgets/KF5ConfigWidgetsConfig.cmake (found version "5.83.0") -- Found KF5DBusAddons: /usr/lib64/cmake/KF5DBusAddons/KF5DBusAddonsConfig.cmake (found version "5.83.0") -- Found KF5KIO: /usr/lib64/cmake/KF5KIO/KF5KIOConfig.cmake (found version "5.83.0") -- Found KF5WidgetsAddons: /usr/lib64/cmake/KF5WidgetsAddons/KF5WidgetsAddonsConfig.cmake (found version "5.83.0") -- Found KF5NotifyConfig: /usr/lib64/cmake/KF5NotifyConfig/KF5NotifyConfigConfig.cmake (found version "5.83.0") -- Found KF5NewStuff: /usr/lib64/cmake/KF5NewStuff/KF5NewStuffConfig.cmake (found version "5.83.0") -- Found KF5XmlGui: /usr/lib64/cmake/KF5XmlGui/KF5XmlGuiConfig.cmake (found version "5.83.0") -- Found KF5Notifications: /usr/lib64/cmake/KF5Notifications/KF5NotificationsConfig.cmake (found version "5.83.0") -- Found KF5GuiAddons: /usr/lib64/cmake/KF5GuiAddons/KF5GuiAddonsConfig.cmake (found version "5.83.0") -- Found Gettext: /usr/bin/msgmerge (found version "0.21") -- Found KF5TextWidgets: /usr/lib64/cmake/KF5TextWidgets/KF5TextWidgetsConfig.cmake (found version "5.83.0") -- Found KF5IconThemes: /usr/lib64/cmake/KF5IconThemes/KF5IconThemesConfig.cmake (found version "5.83.0") -- Found KF5Declarative: /usr/lib64/cmake/KF5Declarative/KF5DeclarativeConfig.cmake (found version "5.83.0") -- Found KF5Solid: /usr/lib64/cmake/KF5Solid/KF5SolidConfig.cmake (found version "5.83.0") -- Found KF5DocTools: /usr/lib64/cmake/KF5DocTools/KF5DocToolsConfig.cmake (found version "5.83.0") -- Found KF5FileMetaData: /usr/lib64/cmake/KF5FileMetaData/KF5FileMetaDataConfig.cmake (found version "5.83.0") -- Found KF5Crash: /usr/lib64/cmake/KF5Crash/KF5CrashConfig.cmake (found version "5.83.0") -- Found KF5Purpose: /usr/lib64/cmake/KF5Purpose/KF5PurposeConfig.cmake (found version "5.83.0") -- Found KF5: success (found version "5.83.0") found components: Archive Bookmarks CoreAddons Config ConfigWidgets DBusAddons KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes Declarative Solid DocTools FileMetaData Crash Purpose -- Checking for module 'mlt++-7' -- Package 'mlt++-7', required by 'virtual:world', not found CMake Error at /usr/share/cmake-3.20/Modules/FindPackageHandleStandardArgs.cmake:230 (message): Could NOT find MLT (missing: MLT_LIBRARIES MLTPP_LIBRARIES MLT_INCLUDE_DIR) (Required is at least version "7.0.0") Call Stack (most recent call first): /usr/share/cmake-3.20/Modules/FindPackageHandleStandardArgs.cmake:594 (_FPHSA_FAILURE_MESSAGE) cmake/modules/FindMLT.cmake:65 (find_package_handle_standard_args) CMakeLists.txt:61 (find_package)

-- Configuring incomplete, errors occurred! See also "/home/chibo/.cache/yay/kdenlive-git/src/build/CMakeFiles/CMakeOutput.log". ==> ERROR: A failure occurred in build(). Aborting... error making: kdenlive-git ↪

K4LCIFER commented on 2021-06-22 02:24

Could not build due to errors:

CMake Warning (dev) at /usr/share/ECM/modules/ECMFindModuleHelpers.cmake:112 (message):
  Your project should require at least CMake 3.16.0 to use FindKF5.cmake
Call Stack (most recent call first):
  /usr/share/ECM/find-modules/FindKF5.cmake:30 (ecm_find_package_version_check)
  CMakeLists.txt:50 (find_package)
This warning is for project developers.  Use -Wno-dev to suppress it.
-- Could NOT find KF5Purpose (missing: KF5Purpose_DIR)
-- Could NOT find KF5Purpose: found neither KF5PurposeConfig.cmake nor kf5purpose-config.cmake 
CMake Error at /usr/share/cmake-3.20/Modules/FindPackageHandleStandardArgs.cmake:230 (message):
  Could NOT find KF5 (missing: Declarative) (found version "5.83.0")
Call Stack (most recent call first):
  /usr/share/cmake-3.20/Modules/FindPackageHandleStandardArgs.cmake:594 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/ECM/find-modules/FindKF5.cmake:93 (find_package_handle_standard_args)
  CMakeLists.txt:50 (find_package)

carlosnewmusic commented on 2021-04-25 17:01

Error build https://pastebin.com/ysSBdBcd

titaniumtown commented on 2021-04-08 20:18

Missing dependency: qt5-networkauth

evorster commented on 2021-03-30 11:45

Thanks for checking over my work.

The makedepends in kdenlive-git is pretty much the same as kdenlive, except for the added git dependency, as we are checking out the source with it.

I had a look with namcap, and there are a couple of new dependencies, but nothing that qualifies as "lots of stuff"

Can you please post a list of this stuff that is missing?

dr460nf1r3 commented on 2021-03-30 10:39

This misses lots of stuff in makedepends, see the ASP PKGBUILD for reference (asp checkout kdenlive)

ruestique commented on 2021-03-09 00:56

-- Found KF5: success (found version "5.79.0") found components: Archive Bookmarks CoreAddons Config ConfigWidgets DBusAddons KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes Declarative Solid DocTools FileMetaData Crash Purpose 
CMake Error at /usr/lib64/cmake/Qt5/Qt5Config.cmake:28 (find_package):
  Could not find a package configuration file provided by "Qt5NetworkAuth"
  with any of the following names:

    Qt5NetworkAuthConfig.cmake
    qt5networkauth-config.cmake

  Add the installation prefix of "Qt5NetworkAuth" to CMAKE_PREFIX_PATH or set
  "Qt5NetworkAuth_DIR" to a directory containing one of the above files.  If
  "Qt5NetworkAuth" provides a separate development package or SDK, be sure it
  has been installed.
Call Stack (most recent call first):
  CMakeLists.txt:55 (find_package)

tallero commented on 2020-06-14 01:44

Fixed PKGBUILD, please merge.

beaux_monde commented on 2020-06-13 19:39

Update sources URL.